# Tls1u1Version
<span class="source-link">[[Source]](src/net-ssl/ssl_versions.md#L5)</span>
```pony
primitive val Tls1u1Version
```

## Constructors

### create
<span class="source-link">[[Source]](src/net-ssl/ssl_versions.md#L5)</span>


```pony
new val create()
: Tls1u1Version val^
```

#### Returns

* [Tls1u1Version](net-ssl-Tls1u1Version) val^

---

## Public Functions

### apply
<span class="source-link">[[Source]](src/net-ssl/ssl_versions.md#L5)</span>


```pony
fun val apply()
: ULong val
```

#### Returns

* [ULong](builtin-ULong) val

---

### eq
<span class="source-link">[[Source]](src/net-ssl/ssl_versions.md#L5)</span>


```pony
fun box eq(
  that: Tls1u1Version val)
: Bool val
```
#### Parameters

*   that: [Tls1u1Version](net-ssl-Tls1u1Version) val

#### Returns

* [Bool](builtin-Bool) val

---

### ne
<span class="source-link">[[Source]](src/net-ssl/ssl_versions.md#L5)</span>


```pony
fun box ne(
  that: Tls1u1Version val)
: Bool val
```
#### Parameters

*   that: [Tls1u1Version](net-ssl-Tls1u1Version) val

#### Returns

* [Bool](builtin-Bool) val

---

